#### Description:

A TimeMap is a specialised form of 1-dimensional Mapping which can be used to represent a sequence of conversions between standard time coordinate systems.

When a TimeMap is first created, it simply performs a unit (null) Mapping. Using the astTimeAdd function, a series of coordinate conversion steps may then be added. This allows multi-step conversions between a variety of time coordinate systems to be assembled out of a set of building blocks.

For details of the individual coordinate conversions available, see the description of the astTimeAdd function.

#### Constructor Function

astTimeMap (also see astTimeAdd)

#### Inheritance

The TimeMap class inherits from the Mapping class.

#### Attributes

The TimeMap class does not define any new attributes beyond those which are applicable to all Mappings.

#### Functions

In addition to those functions applicable to all Mappings, the following function may also be applied to all TimeMaps:

- astTimeAdd: Add a time coordinate conversion to an TimeMap

Copyright (C) 2021 East Asian Observatory